/*
 * Copyright 2016  Samsung Electronics Co., Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <gio/gio.h>
#include <sys/types.h>

#ifndef BADGE_SERVICE_H_
#define BADGE_SERVICE_H_

#ifdef __cplusplus
extern "C" {
#endif

int badge_service_init(void);
int badge_service_fini(void);

int badge_get_badge_existing(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_get_badge_list(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_insert(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_delete(GVariant *parameters, GVariant **reply_body, uid_t uid, pid_t pid);
int badge_set_badge_count(GVariant *parameters, GVariant **reply_body, uid_t uid, pid_t pid);
int badge_get_badge_count(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_set_display_option(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_get_display_option(GVariant *parameters, GVariant **reply_body, const gchar *sender, uid_t uid);
int badge_update_badge_setting(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_get_setting_by_appid(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_get_setting_array(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_set_setting_property(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_get_setting_property(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_init_display(GVariant *parameters, GVariant **reply_body, uid_t uid);
int badge_register_dbus_interface();

#ifdef __cplusplus
}
#endif

#endif // BADGE_SERVICE_H_
