/*
 * Copyright 2016  Samsung Electronics Co., Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef DEBUG_H_
#define DEBUG_H_

#define DBG(format, arg...)	SECURE_LOGD(format, ##arg)
#define ERR(format, arg...)	SECURE_LOGE(format, ##arg)
#define WARN(format, arg...)	SECURE_LOGW(format, ##arg)
#define INFO(format, arg...)	SECURE_LOGI(format, ##arg)

#if defined(LOG_TAG)
#undef LOG_TAG
#endif

#define LOG_TAG "DATA_PROVIDER_MASTER"

#define HAPI __attribute__((visibility("hidden")))

#endif //DEBUG_H_