/*
 * Copyright 2016  Samsung Electronics Co., Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef PKGMGR_H_
#define PKGMGR_H_

#ifdef __cplusplus
extern "C" {
#endif

enum pkgmgr_event_type {
	PKGMGR_EVENT_DOWNLOAD,
	PKGMGR_EVENT_INSTALL,
	PKGMGR_EVENT_UPDATE,
	PKGMGR_EVENT_UNINSTALL,
	PKGMGR_EVENT_RECOVER,
	PKGMGR_EVENT_APP_ENABLE,
	PKGMGR_EVENT_APP_DISABLE,
};

enum pkgmgr_status {
	PKGMGR_STATUS_START,
	PKGMGR_STATUS_PROCESSING,
	PKGMGR_STATUS_COMMAND,
	PKGMGR_STATUS_END,
	PKGMGR_STATUS_ERROR,
};

extern int pkgmgr_init(void);
extern int pkgmgr_fini(void);

extern int pkgmgr_add_event_callback(enum pkgmgr_event_type type, int (*cb)(uid_t uid, const char *pkgname, enum pkgmgr_status status, double value, void *data), void *data);
extern void *pkgmgr_del_event_callback(enum pkgmgr_event_type type, int (*cb)(uid_t uid, const char *pkgname, enum pkgmgr_status status, double value, void *data), void *data);
#ifdef __cplusplus
}
#endif

#endif //PKGMGR_H_