%bcond_with wayland

Name: data-provider-master
Summary: Master service provider for badge, shortcut, notification
Version: 1.6.12
Release: 1
Group: Applications/Core Applications
License: Apache-2.0
Source0: %{name}-%{version}.tar.gz
Source1: data-provider-master.service
Source1001: %{name}.manifest
BuildRequires: cmake, gettext-tools, smack, coreutils
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(aul)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(db-util)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(libsmack)
BuildRequires: pkgconfig(bundle)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires: pkgconfig(pkgmgr)
BuildRequires: pkgconfig(pkgmgr-info)
BuildRequires: pkgconfig(notification)
BuildRequires: pkgconfig(notification-ex)
BuildRequires: pkgconfig(badge)
BuildRequires: pkgconfig(shortcut)
BuildRequires: pkgconfig(libsystemd-daemon)
BuildRequires: pkgconfig(alarm-service)
BuildRequires: pkgconfig(libtzplatform-config)

Requires: notification-ex
Requires(post): dbus
%description

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`

%ifarch %ix86
export TARGET=emulator
%else
export TARGET=device
%endif

%cmake . \
	-DNAME=%{name} \
	-DTARGET=${TARGET} \
	-DMAJORVER=${MAJORVER} \
	-DFULLVER=%{version}

CFLAGS="${CFLAGS} -Wall -Winline -Werror" LDFLAGS="${LDFLAGS}" make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system
install -m 0644 %SOURCE1 %{buildroot}%{_unitdir}/data-provider-master.service

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%license LICENSE
%attr(0755,root,root) %{_bindir}/data-provider-master
%attr(0644,root,root) %{_unitdir}/data-provider-master.service
%attr(0644,root,root) %{_datadir}/dbus-1/system-services/org.tizen.data-provider-master.service
%config %{_sysconfdir}/dbus-1/system.d/data-provider-master.conf
%{_prefix}/bin/%{name}
#%defattr(-,owner,users,-)

# End of a file
